/*
(주)파이브센스_FIVESENSES.Corp.
파이브프로_FIVEPro_웹솔루션.
본 라이브러리(소스코드 및 디자인 포함)는 (주)파이브센스의 자산이며, 저작권법 및 부정경쟁방지법에 의해 보호됩니다.
무단 사용, 외부 유출, 복제, 배포, 변형을 금지합니다.
위반 시 민·형사상 법적 책임 및 손해배상 청구 대상이 됩니다.
작성일: 2025-03-18 | 저작권자: (주)파이브센스(520-86-01244) | All Rights Reserved.
*/

.main_mb6 {
    display: flex;
    flex-direction: column;
}

.main_mb6 .main_cont_container {
    position: relative;
    height: 100%;
    border-radius: 50px;
    overflow: hidden;
    z-index: 2;
}

.main_mb6 .swiper {
    position: relative;
    width: 100%;
    height: calc(100% - 86px);
    overflow: hidden;
}

.main_mb6 .swiper-wrapper {
    height: 100%;
    display: flex;
    transition-property: transform;
}

.main_mb6 .swiper-slide {
    position: relative;
    z-index: 1;
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    transition-property: transform;
}

.main_mb6 .swiper-slide.swiper-slide-active {
    z-index: 2;
}

/*  이미지 */
.main_mb6 .img_container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mb6 .img_container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 동영상 */
.main_mb6 .iframe_container {
    height: 100%;
    overflow: hidden;
    border-radius: 30px;
    position: relative;
}

.main_mb6 .iframe_container .iframe_container_inner {
    position: relative;
    width: 100%;
    height: 100%;
    padding-bottom: 50.35%;
}

.main_mb6 .iframe_container iframe {
    position: absolute;
    left: 0;
    top: -60px;
    width: 100%;
    height: calc(100% + 120px);
    object-fit: cover;
}

/* 동영상 요소이미지 */
.main_mb6 .iframe_container .itemSubVideoImg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb6 .iframe_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    z-index: 1;
    opacity: 0.57;
}

/* 스와이프 정보 */
.main_mb6 .swiper_info_container {
    width: auto;
    position: absolute;
    top: 50%;
    left: 8.2%;
    z-index: 2;
    padding: 0 20px;
    text-align: left;
    transform: translateY(-50%);
}

/* 스와이프 요소이미지 */
.main_mb6 .swiper_info_container .itemSubImg {
    width: auto;
    margin: 0 auto 16px 0;
}

/* 스와이프 타이틀 */

.main_mb6 .swiper_title h2 {
    display: inline-block;
    width: auto;
    font-size: 60px;
    line-height: 1.25;
    font-weight: 700;
    color: #182431;
}

/* 스와이프 서브타이틀 */
.main_mb6 .swiper_subtitle {
    margin-top: 27px;
}

.main_mb6 .swiper_subtitle h3 {
    display: inline-block;
    width: auto;
    font-size: 22px;
    line-height: 1.25;
    font-weight: 500;
    color: #182431;
}

/* 스와이프 더보기 */
.main_mb6 .btn_container {
    display: flex;
    gap: 10px;
    margin-top: 63px;
}

.main_mb6 .banner_btn a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
    height: 60px;
    gap: 11px;
    padding: 0 37px;
    font-size: 19px;
    font-weight: 600;
    line-height: 1;
    border-radius: 50px;
    transition: .3s;
}

.main_mb6 .banner_btn .btn_arrow {
    transform: translateY(1px);
}

.main_mb6 .frist_btn a {
    color: #fff;
    background-color: #245bf6;
    box-shadow: 0px 6px 12px 0px rgba(26, 38, 47, 0.07);
    transition: all .3s ease-in-out;
}

.main_mb6 .frist_btn a:hover {
    background-color: #3f70fa;
}

.main_mb6 .frist_btn path {
    stroke: #fff;
}

.main_mb6 .second_btn a {
    color: #0c0c0c;
    background-color: #fff;
    box-shadow: 0px 6px 12px 0px rgba(26, 38, 47, 0.07);
}

.main_mb6 .second_btn path {
    stroke: #0c0c0c;
}


/* 스와이프 재생버튼 */
.main_mb6 .swiper_btn_container {
    position: absolute;
    bottom: 50px;
    left: 49.6%;
    transform: translateX(-50%);
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 1820px; /* container_fix 상위 css */
}

.main_mb6 .swiper_btn {
    width: 30px;
    height: 30px;
    position: relative;
    margin-left: 13.5px;
}

.main_mb6 .swiper_btn .main_svg {
    --progress: 0;
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: #fff;
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb6 .swiper_btn .sub_svg {
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: rgba(255,255,255,0.5);
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb6 .swiper_btn button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    font-size: 18px;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* 스와이프 화살표 정보 */
.main_mb6 .swiper_arr {

}

/* 기존 navigation 세팅 제거 */
.main_mb6 .swiper-button-next,
.main_mb6 .swiper-button-prev {
    color: #fff;
    opacity: .5;
    transition: all .3s ease-in-out;
}

.main_mb6 .swiper-button-next:hover,
.main_mb6 .swiper-button-prev:hover {
    opacity: 1;
}

.main_mb6 .swiper-button-next:after,
.main_mb6 .swiper-button-prev:after {
    font-size: 60px;
}

.main_mb6 .swiper-button-prev {
    left: 35px;
}

.main_mb6 .swiper-button-next {
    right: 35px;
}

.main_mb6 .swiper-button-prev:after {
	content:url(img/mb_prev.png);
}

.main_mb6 .swiper-button-next:after {
	content:url(img/mb_next.png);
}

/* 스와이프 페이지네이션 정보 */
.main_mb6 .swiper-pagination {
    position: static;
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main_mb6 .swiper-pagination div.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #f0f0f0;
    margin: 0 17.5px;
    position: relative;
}

/* 기존 pagination 세팅 제거 */
.main_mb6 .swiper-pagination-bullets.swiper-pagination-horizontal {
    top: auto;
    bottom: auto;
    left: auto;
    right: auto;
    width: auto;
}

.main_mb6 .swiper-pagination div.swiper-pagination-bullet-active {
    background: #fff;
}

/* 스크롤 화살표 */
.main_mb6 .swiper_scroll_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 86px;
}

.main_mb6 .swiper_scroll_container span {
    width: 22px;
    height: 35px;
    border: 2px solid #666;
    border-radius: 20px;
    position: relative;
}

.main_mb6 .swiper_scroll_container span::before {
    content: "";
    position: absolute;
    top: 4px;
    left: 50%;
    transform: translate(-50%);
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background: #666;
    animation: circle-bounce 2s infinite ease-in-out;
}

@keyframes circle-bounce {
    0% {
        transform: translate(-50%, 4px);
    }
    100% {
        transform: translate(-50%, 13px);
    }
}

.main_mb6 .swiper_scroll_container img {
    margin-top: 5px;
    animation: arrow-bounce 2s infinite ease-in-out;
}

@keyframes arrow-bounce {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(10px);
    }
}

@media (max-width:1480px) {
    
    .main_mb6 .swiper_info_container .itemSubImg {
        width: 135px;
    }

    .main_mb6 .swiper_title h2 {
        font-size: 50px;
    }

    .main_mb6 .swiper_subtitle h3 {
        font-size: 19px;
    }

    .main_mb6 .btn_container {
        margin-top: 40px;
    }

    .main_mb6 .banner_btn a {
        height: 55px;
        padding: 0 30px;
        font-size: 17px;
    }

    .main_mb6 .swiper-button-next:after, .main_mb6 .swiper-button-prev:after {
        font-size: 48px;
    }
}


@media (max-width:1280px) {
    
    .main_mb6 .swiper_info_container .itemSubImg {
        font-size: 115px;
    }

    .main_mb6 .swiper_subtitle {
        margin-top: 15px;
    }

    .main_mb6 .swiper_title h2 {
        font-size: 45px;
    }

    .main_mb6 .swiper_subtitle h3 {
        font-size: 18px;
    }

    .main_mb6 .btn_container {
        margin-top: 35px;
    }

    .main_mb6 .banner_btn a {
        height: 50px;
        padding: 0 24px;
    }
}

.player-controls-middle.prevent-controls-collision {
    display: none !important;
}